=begin
#DialMyCalls API

#The DialMyCalls API

OpenAPI spec version: 2.0.1
Contact: support@dialmycalls.com
Generated by: https://github.com/swagger-api/swagger-codegen.git

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

=end

require 'spec_helper'
require 'json'

# Unit tests for DialMyCalls::CallerIdsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'CallerIdsApi' do
  before do
    # run before each test
    @instance = DialMyCalls::CallerIdsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of CallerIdsApi' do
    it 'should create an instact of CallerIdsApi' do
      expect(@instance).to be_instance_of(DialMyCalls::CallerIdsApi)
    end
  end

  # unit tests for create_caller_id
  # Add Caller ID
  # Add a caller ID. &lt;br&gt;&lt;br&gt; Returns a caller ID object on success, and returns an error otherwise. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X POST -d \&quot;{\\\&quot;phone\\\&quot;: \\\&quot;5555555555\\\&quot;, \\\&quot;name\\\&quot;: \\\&quot;New Number\\\&quot;}\&quot; https://$API_KEY@api.dialmycalls.com/2.0/callerid &#x60;&#x60;&#x60;
  # @param create_caller_id_parameters Request body
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'create_caller_id test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_unverified_caller_id
  # Add Caller ID (Unverified)
  # Initiate adding a new caller ID when you need to go through the verification process. You will receive a phone call at the phone number provided and will need to make a subsequent API call with the PIN code that you are provided. &lt;br&gt;&lt;br&gt; Returns a caller ID object on success, and returns an error otherwise. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X POST -d \&quot;{\\\&quot;phone\\\&quot;: \\\&quot;5555555555\\\&quot;, \\\&quot;name\\\&quot;: \\\&quot;New Number\\\&quot;}\&quot; https://$API_KEY@api.dialmycalls.com/2.0/verify/callerid &#x60;&#x60;&#x60;
  # @param create_unverified_caller_id_parameters Request body
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'create_unverified_caller_id test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_caller_id_by_id
  # Delete Caller ID
  # Delete a caller ID. &lt;br&gt;&lt;br&gt; Returns the following if a valid identifier was provided, and returns an error otherwise. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X DELETE https://$API_KEY@api.dialmycalls.com/2.0/callerid/$CALLERID_ID &#x60;&#x60;&#x60;
  # @param callerid_id CalleridId
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'delete_caller_id_by_id test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_caller_id_by_id
  # Get Caller ID
  # Retrieve a caller ID. &lt;br&gt;&lt;br&gt; Returns a caller ID object if a valid identifier was provided, and returns an error otherwise. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X GET https://$API_KEY@api.dialmycalls.com/2.0/callerid/$CALLERID_ID &#x60;&#x60;&#x60;
  # @param callerid_id CalleridId
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'get_caller_id_by_id test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_caller_ids
  # List Caller IDs
  # Retrieve a list of caller IDs. &lt;br&gt;&lt;br&gt; Returns a list of caller ID objects. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X GET https://$API_KEY@api.dialmycalls.com/2.0/callerids &#x60;&#x60;&#x60;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :range Range (ie \&quot;records&#x3D;201-300\&quot;) of callerids requested
  # @return [Object]
  describe 'get_caller_ids test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_caller_id_by_id
  # Update Caller ID
  # Update an existing caller ID. &lt;br&gt;&lt;br&gt; Returns a caller ID object if a valid identifier was provided and input validation passed, and returns an error otherwise. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X PUT -d \&quot;{\\\&quot;name\\\&quot;: \\\&quot;New Number Updated\\\&quot;}\&quot; https://$API_KEY@api.dialmycalls.com/2.0/callerid/$CALLERID_ID &#x60;&#x60;&#x60;
  # @param update_caller_id_by_id_parameters Request body
  # @param callerid_id CalleridId
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'update_caller_id_by_id test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for verify_caller_id_by_id
  # Verify Caller ID
  # Verify a new caller ID. &lt;br&gt;&lt;br&gt; Returns a caller ID object if a valid identifier was provided, and returns an error otherwise. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X POST -d \&quot;{\\\&quot;phone\\\&quot;: \\\&quot;5555555555\\\&quot;, \\\&quot;name\\\&quot;: \\\&quot;New Number\\\&quot;}\&quot; https://$API_KEY@api.dialmycalls.com/2.0/verify/callerid/$CALLERID_ID &#x60;&#x60;&#x60;
  # @param verify_caller_id_by_id_parameters Request body
  # @param callerid_id CalleridId
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'verify_caller_id_by_id test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
