=begin
#DialMyCalls API

#The DialMyCalls API

OpenAPI spec version: 2.0.1
Contact: support@dialmycalls.com
Generated by: https://github.com/swagger-api/swagger-codegen.git

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

=end

require 'spec_helper'
require 'json'

# Unit tests for DialMyCalls::TextsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'TextsApi' do
  before do
    # run before each test
    @instance = DialMyCalls::TextsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of TextsApi' do
    it 'should create an instact of TextsApi' do
      expect(@instance).to be_instance_of(DialMyCalls::TextsApi)
    end
  end

  # unit tests for cancel_text_by_id
  # Cancel Text
  # Cancel an outgoing text. &lt;br&gt;&lt;br&gt; Returns the following if a valid identifier was provided, and returns an error otherwise. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X DELETE https://$API_KEY@api.dialmycalls.com/2.0/service/text/$TEXT_ID &#x60;&#x60;&#x60;
  # @param text_id TextId
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'cancel_text_by_id test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_text
  # Create Text
  # Create an outgoing text broadcast. &lt;br&gt;&lt;br&gt; Returns a service object on success, and returns an error otherwise. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X POST -d \&quot;{\\\&quot;keyword_id\\\&quot;: \\\&quot;dfe49537-a0a8-4f4a-98a1-e03df388af11\\\&quot;, \\\&quot;send_immediately\\\&quot;: true,\\\&quot;messages\\\&quot;: [\\\&quot;Testing testing\\\&quot;], \\\&quot;contacts\\\&quot;: [{\\\&quot;phone\\\&quot;:\\\&quot;1116551235\\\&quot;},{\\\&quot;phone\\\&quot;:\\\&quot;1116551234\\\&quot;}]}\&quot; https://$API_KEY@api.dialmycalls.com/2.0/service/text &#x60;&#x60;&#x60;
  # @param create_text_parameters Request body
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'create_text test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_incoming_text_by_id
  # Delete Incoming Text
  # Delete a incoming text. &lt;br&gt;&lt;br&gt; Returns the following if a valid identifier was provided, and returns an error otherwise. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X DELETE https://$API_KEY@api.dialmycalls.com/2.0/incoming/text/$TEXT_ID &#x60;&#x60;&#x60;
  # @param text_id TextId
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'delete_incoming_text_by_id test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_incoming_text_by_id
  # Get Incoming Text
  # Retrieve a text. &lt;br&gt;&lt;br&gt; Returns a Incoming Text object if a valid identifier was provided, and returns an error otherwise. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X GET https://$API_KEY@api.dialmycalls.com/2.0/incoming/text/$TEXT_ID &#x60;&#x60;&#x60;
  # @param text_id TextId
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'get_incoming_text_by_id test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_incoming_texts
  # List Incoming Texts
  # Retrieve a list of texts. &lt;br&gt;&lt;br&gt; Returns a list of Incoming Text objects. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X GET https://$API_KEY@api.dialmycalls.com/2.0/incoming/texts &#x60;&#x60;&#x60;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :range Range (ie \&quot;records&#x3D;201-300\&quot;) of texts requested
  # @return [Object]
  describe 'get_incoming_texts test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_short_codes
  # List Shortcodes
  # Retrieve a list of shortcodes. &lt;br&gt;&lt;br&gt; Returns a list of shortcode objects. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X GET https://$API_KEY@api.dialmycalls.com/2.0/shortcodes &#x60;&#x60;&#x60;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :range Range (ie \&quot;records&#x3D;201-300\&quot;) of shortcodes requested
  # @return [Object]
  describe 'get_short_codes test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_text_by_id
  # Get Text
  # Retrieve a text. &lt;br&gt;&lt;br&gt; Returns a service object if a valid identifier was provided, and returns an error otherwise. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X GET https://$API_KEY@api.dialmycalls.com/2.0/service/text/$TEXT_ID &#x60;&#x60;&#x60;
  # @param text_id TextId
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'get_text_by_id test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_text_recipients_by_text_id
  # Get Text Recipients
  # Retrieve a list of a text&#39;s recipients. &lt;br&gt;&lt;br&gt; Returns a list of text recipient objects if a valid identifier was provided, and returns an error otherwise. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X GET https://$API_KEY@api.dialmycalls.com/2.0/service/text/$TEXT_ID/recipients &#x60;&#x60;&#x60;
  # @param text_id TextId
  # @param [Hash] opts the optional parameters
  # @option opts [String] :range Range (ie \&quot;records&#x3D;201-300\&quot;) of recipients requested
  # @return [Object]
  describe 'get_text_recipients_by_text_id test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_texts
  # List Texts
  # Retrieve a list of texts. &lt;br&gt;&lt;br&gt; Returns a list of service objects. &lt;br&gt;&lt;br&gt; &#x60;&#x60;&#x60; curl -i -H \&quot;Content-Type: application/json\&quot; -X GET https://$API_KEY@api.dialmycalls.com/2.0/service/texts &#x60;&#x60;&#x60;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :range Range (ie \&quot;records&#x3D;201-300\&quot;) of texts requested
  # @return [Object]
  describe 'get_texts test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
